com.orsoncharts.graphics3d

## Class Offset3D

- java.lang.Object
- - com.orsoncharts.graphics3d.Offset3D

- All Implemented Interfaces:
    java.io.Serializable

      public final class Offset3D
      extends java.lang.Object
      implements java.io.Serializable

  An offset `(dx, dy, dz)` in three dimensional space. Instances of this class are immutable.
  NOTE: This class is serializable, but the serialization format is subject to change in future releases and should not be relied upon for persisting instances of this class.
  Since:
    1.3
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Offset3D` | `ZERO_OFFSET` Zero offset.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Offset3D()` Default constructor (`(0, 0)`).
    `Offset3D(double dx, double dy, double dz)` Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Tests this instance for equality with an arbitrary object.
    `double` | `getDX()` Returns the x-offset.
    `double` | `getDY()` Returns the y-offset.
    `double` | `getDZ()` Returns the z-offset.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ZERO_OFFSET

          public static final Offset3D ZERO_OFFSET

      Zero offset.

  - ### Constructor Detail

    - #### Offset3D

          public Offset3D()

      Default constructor (`(0, 0)`).

    - #### Offset3D

          public Offset3D(double dx,
                          double dy,
                          double dz)

      Creates a new instance.
      Parameters:
        `dx` - the x-offset.
        `dy` - the y-offset.
        `dz` - the z-offset.

  - ### Method Detail

    - #### getDX

          public double getDX()

      Returns the x-offset.
      Returns:
        The x-offset.

    - #### getDY

          public double getDY()

      Returns the y-offset.
      Returns:
        The y-offset.

    - #### getDZ

          public double getDZ()

      Returns the z-offset.
      Returns:
        The z-offset.

    - #### equals

          public boolean equals(java.lang.Object obj)

      Tests this instance for equality with an arbitrary object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the object (`null` permitted).
      Returns:
        A boolean.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`